For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • GETList knowledge bases
      • GETGet a knowledge base
      • POSTCreate a knowledge base
      • PUTUpdate a knowledge base
      • DELDelete a knowledge base
      • POSTAttach a knowledge base
      • POSTDetach a knowledge base
      • GETList knowledge base sources
      • POSTAdd a knowledge base source
      • PUTUpdate a knowledge base source
      • DELDelete a knowledge base source
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIKnowledge Bases

Delete a knowledge base source

||View as Markdown|
DELETE
/knowledge_base/:knowledge_base_id/sources/:source_id
DELETE
/v2/knowledge_base/:knowledge_base_id/sources/:source_id
$curl -X DELETE https://api.synthflow.ai/v2/knowledge_base/knowledge_base_id/sources/source_id \
> -H "Authorization: Bearer <token>"
200knowledgeBaseSourceDelete_example
1{
2 "status": "success",
3 "response": {
4 "body": "Knowledge Base Source deleted",
5 "id": "1747656389837x155066052777399480"
6 }
7}
Was this page helpful?
Previous

Create a phone book

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

knowledge_base_idstringRequired
Knowledge base ID.
source_idstringRequired
Source ID.

Response

200
statusstring
responseobject